# Trace module

The Trace module is used to write messages to the Trace Log. Messages written using the Trace module are displayed in [the diagnostic panel](/flow-connect/working-with-connect/create-and-design/applications/test.md) of the Flow Client.

```typescript
// Make an HTTP request.
let response = HTTP.getText("https://jsonplaceholder.typicode.com/todos/1",
    {
        "Accept" : "application/json"
    });

// Write a log entry indicating the status code of the request.  
do Trace.log("Request status code: " & response.statusCode);

...

```

### log

**Signature:** (message: any) -> null&#x20;

Create a trace log entry with the given message. The function always returns null.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novacura.com/flow-connect/reference/reference/flowscript/walkthrough/trace-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
